Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IVideoFrameSenderEx Class Referenceabstract

`#include <video_node_i.h>`

Inherits agora::rtc::IVideoFrameSender.

## Public Member Functions
virtual | ~IVideoFrameSenderEx ()
virtual int | sendVideoFrame (const webrtc::VideoFrame &videoFrame)=0
virtual void | RegisterVideoFrameCallback (::rtc::VideoSinkInterface< webrtc::VideoFrame > *dataCallback)=0
virtual void | DeRegisterVideoFrameCallback ()=0
virtual int | sendVideoFrameLLApiInternal (const media::base::ExternalVideoFrame &videoFrame)=0
virtual int | getVideoFrame (webrtc::VideoFrame &videoFrame)=0
virtual int | getVideoFrameBitDepth ()=0
virtual bool | pushMode ()=0
virtual void | fallbackHDRSender (bool fallback)=0
virtual int | sendVideoFrame (const media::base::ExternalVideoFrame &videoFrame, aosl_ref_t ares=AOSL_REF_INVALID)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::rtc::IVideoFrameSender
| ~IVideoFrameSender ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~IVideoFrameSenderEx()

virtual agora::rtc::IVideoFrameSenderEx::~IVideoFrameSenderEx | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ sendVideoFrame() [1/2]

virtual int agora::rtc::IVideoFrameSenderEx::sendVideoFrame | ( | const webrtc::VideoFrame & | videoFrame | ) |
| pure virtual

## ◆ RegisterVideoFrameCallback()

virtual void agora::rtc::IVideoFrameSenderEx::RegisterVideoFrameCallback | ( | ::rtc::VideoSinkInterface< webrtc::VideoFrame > * | dataCallback | ) |
| pure virtual

## ◆ DeRegisterVideoFrameCallback()

virtual void agora::rtc::IVideoFrameSenderEx::DeRegisterVideoFrameCallback | ( |  | ) |
| pure virtual

## ◆ sendVideoFrameLLApiInternal()

virtual int agora::rtc::IVideoFrameSenderEx::sendVideoFrameLLApiInternal | ( | const media::base::ExternalVideoFrame & | videoFrame | ) |
| pure virtual

## ◆ getVideoFrame()

virtual int agora::rtc::IVideoFrameSenderEx::getVideoFrame | ( | webrtc::VideoFrame & | videoFrame | ) |
| pure virtual

## ◆ getVideoFrameBitDepth()

virtual int agora::rtc::IVideoFrameSenderEx::getVideoFrameBitDepth | ( |  | ) |
| pure virtual

## ◆ pushMode()

virtual bool agora::rtc::IVideoFrameSenderEx::pushMode | ( |  | ) |
| pure virtual

## ◆ fallbackHDRSender()

virtual void agora::rtc::IVideoFrameSenderEx::fallbackHDRSender | ( | bool | fallback | ) |
| pure virtual

## ◆ sendVideoFrame() [2/2]

virtual int agora::rtc::IVideoFrameSender::sendVideoFrame | ( | const media::base::ExternalVideoFrame & | videoFrame,
|  | aosl_ref_t | ares = AOSL_REF_INVALID )
| virtual

Sends the video frame to the video track.

Parameters

  videoFrame | The reference to the video frame to send.

Returns
  - 0: Success.
  - < 0: Failure.

Implements agora::rtc::IVideoFrameSender.